package com.ruoyi.sim.domain.vo;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.net.Socket;
import java.util.concurrent.atomic.AtomicInteger;

public class SocketWrapCacheVo {

    /**
     * ip v4.
     */
    private String ip;

    /**
     * port.
     */
    private Integer port;

    private Socket socket;

    /**
     * 每个Socket都有。
     */
    private Long okTimeMillis;

    /**
     * 每个Socket都有。
     */
    private Long previousSendSleep = 0L;

    /**
     * 每个Socket都有。
     * 重试次数。
     * default 0.
     */
    private AtomicInteger failedCount = new AtomicInteger(0);

    public SocketWrapCacheVo() {
    }

    public SocketWrapCacheVo(String ip, Integer port, Socket socket, Long okTimeMillis) {
        this.ip = ip;
        this.port = port;
        this.socket = socket;
        this.okTimeMillis = okTimeMillis;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Socket getSocket() {
        return socket;
    }

    public void setSocket(Socket socket) {
        this.socket = socket;
    }

    public Long getOkTimeMillis() {
        return okTimeMillis;
    }

    public void setOkTimeMillis(Long okTimeMillis) {
        this.okTimeMillis = okTimeMillis;
    }

    public Long getPreviousSendSleep() {
        return previousSendSleep;
    }

    public void setPreviousSendSleep(Long previousSendSleep) {
        this.previousSendSleep = previousSendSleep;
    }

    public AtomicInteger getFailedCount() {
        return failedCount;
    }

    public void setFailedCount(AtomicInteger failedCount) {
        this.failedCount = failedCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("ip", ip)
                .append("port", port)
                .append("socket", socket)
                .append("okTimeMillis", okTimeMillis)
                .append("failedCount", failedCount)
                .toString();
    }
}
